<?php
	header("Content-type: text/html; charset=ISO-8859-1");

    //*******************************************************************	
	// INCLUDES nao alterar a ordem dos includes
    //*******************************************************************	
	include "includes/library.php";
	
	//echo "Ok";
	$servico = request("servico");
	$periodicidade = request("periodicidade");
	$incidencia = request("incidencia_fiscal");
	$descricao = utf8_decode(request("descricao_padrao"));
	
	$clienteid = request("clienteid");
	$valor_contrato = request("valor_contrato");
	$dia_emissao = request("dia_emissao");
	$dia_vencimento = request("dia_vencimento");
	$data_inicial = request("data_inicial");
	$vencimento_prorrogado = request("vencimento_prorrogado");
	
	$total_cadastrado = 0;
	
	for ($i=0;$i<count($clienteid);$i++){
		$unidadeid = '1';
		$quantidade = '1';
		$valor_unitario = str_replace(".","",$valor_contrato[$i]);
		$valor_unitario = str_replace(",",".",$valor_unitario);
		
		$dia_vencimento_aux = $dia_vencimento[$i] ;
		
		$aux = explode("/",$data_inicial[$i]);
		$data_inicial_aux = $aux[0]."/".$dia_emissao[$i]."/".$aux[1];
		$vencimento = $dia_vencimento[$i];
		
		//fazer consistencia
		if (checkdate($aux[0],$dia_emissao[$i],$aux[1])){ //verifica de a data inicial é valida
			if (($vencimento>0)&&($vencimento<=31)){ //verifica se o dia de vencimento esta entre 1 e 31
				if ($valor_unitario!=""){ //verifica se o valor unitario é difente de vazio
					//verifica se já não foi cadastrado o contrato
					$sql = "SELECT * FROM CONTRATO WHERE CLIENTEID='".$clienteid[$i]."' AND SERVICOID='".$servico."'";
					$VERIFICA = new QUERY($DATABASE,$sql);
					if (!$VERIFICA->NEXT()){
						$sql="INSERT INTO CONTRATO 
						(CLIENTEID,UNIDADEID,SERVICOID,DATA_INICIAL,QUANTIDADE,VALOR_UNITARIO,PERIODICIDADE,OBS,DIA_VENCIMENTO,REFERENCIA_FATURA,IMPRIMIR_NOTA_FISCAL, VENCIMENTO_PRORROGADO)
						VALUES ('".$clienteid[$i]."','".$unidadeid."','".$servico."','".$data_inicial_aux."','".$quantidade."','".$valor_unitario."','".$periodicidade."','Cadastro feito pela ferramenta de implantação, para tornar mais rápida a implantação','".$dia_vencimento_aux."','".$descricao."','".$incidencia."','".$vencimento_prorrogado."')
						";
						$CADASTRO = new QUERY($DATABASE,$sql);
						$total_cadastrado++;
						echo "Foram cadastrados [ $total_cadastrado ]";
					}
				}
			}	
		}	
		
		
		
	}
	
?>